/*======================================================================+
| PGPC: Parallel Genetic Programming in C                               |
| (c) 1995 Genetic Algorithm Technology Corp. all rights reserved       |
|   written by David Andre                                              |
+======================================================================*/
/*======================================================================+
| FILE: mnproto.h                                                       |
| DESCRIPTION: meshnode function prototype.                             |
|                                                                       |       
| REVISIONS:                                                            |
| Jan 24, 1995:  Works as of today, no known bugs.                      |
+======================================================================*/

void breeder_SendMessage(MSGHDRTYPE * msg_hdr,  /*funcdef mnproto.h */
                         void * stuff,          /*funcdef mnproto.h */
                         int length);       /*funcdef mnproto.h */
void breeder_clean_up_and_die(                              /* mnproto.h */
            poptype popptr,                                 /* mnproto.h */
            Channel *to_mn_mon,                             /* mnproto.h */
            Channel *montobreederchan);                     /* mnproto.h */
void breeder_prog_export(                                   /* mnproto.h */
            poptype     popptr,                             /* mnproto.h */
            Channel     *to_exporter,                       /* mnproto.h */
            Channel     *from_exporter,                     /* mnproto.h */
            BoatLoad    *outbuf,                          /* mnproto.h */
            int         whoiam);                            /* mnproto.h */
void breeder_prog_import(                                   /* mnproto.h */
            poptype     popptr,                             /* mnproto.h */
            Channel     *to_importer,                       /* mnproto.h */
            Channel     *from_importer,                     /* mnproto.h */
            BoatLoad     *inbuf,                           /* mnproto.h */
            int         whoiam);                            /* mnproto.h */







